Audifire

[Release] MTA Compiler

Recommended Posts

MTA Compiler

What is the "MTA Compiler" bringing?:
It's small tool providing to precompile Lua Scripts. Further it supports the new from MTA provided additional features.

What are the requirements?:
To start this program, you need Java on your os.
If you haven't installed it yet, you can download Java here:
http://www.java.com/de/download/
A further requirement is a working internet connection, because this program is based on the MTA provided Online-API from https://luac.mtasa.com.

Which functions brings this program?:
The compiler is just the graphical version of the compiler, which is provided by MTA. Because of the handling from the MTA compiler, which can only be executed by a command line window, I decided to create a graphical improved version of a compiler.
An additional feature is, that the compiler can read META.xml files and compile the scripts priveded in there.

What is allowed/disallowed?:
It’s not allowed to publish this program again under another name.

Disclaimer:
This program is actually in a very early state. So it’s possible, that
some error messages will not be shown. In the worst case, it’s possible that
data can be lost. I think most of bugs are fixed. Before you ran
this program, please make a backup of your scripts!!!

Screenshots:

hgn8oxxj.pngkbzr8fja.pngkzu5xbva.pngoimsa5sf.png

299ydb6k.png2hp84bah.png9rdghz9w.pngxk2lurdp.png

Screen1: Main window
Screen2: Overwriting protection
Screen3: Result
Screen4: Update 0.3
Screen5: Update 0.4
Screen6: Ubuntu Test Drop
Screen7: Ubuntu Test
Screen8: Ubuntu Test

Download:
Link to directory:
https://cloud.audifire.ch/s/sX86CKEgzJ4qeeK

- Since Alpha 0.4 language support

PS: I know my english is not the best,  because I'm from switzerland and not a native english speaker. So please don't be hard with spelling and grammar. ;)

Edited by Audifire
Links working again

Share this post


Link to post

I take it that you haven't heard about that offline compilers won't be able to be used soon, you can only use the luac.mtasa.com compiler.

Share this post


Link to post

I didn't read that part I guess, my bad.

Good work with it, I may download it later to check it out.

Share this post


Link to post
I take it that you haven't heard about that offline compilers won't be able to be used soon, you can only use the luac.mtasa.com compiler.

I am interested in why that? Only the luacmtasa.com will be able to use? Because I use http://mta.dzek.eu/compiler/

Share this post


Link to post

Version Alpha 0.5

Screen6.pngScreen7.pngScreen8.png

Download:

http://sdrv.ms/15H6hH0 (Version Alpha 0.5)

Changelog 0.5:

  • improved configuration
  • path saving when choose a file
  • optimized error output
  • fixed translation errors
  • code optimizing
  • it's now possible to drop files ofer textfield
  • tested on Ubuntu and Mac OSX

Share this post


Link to post

Awesome ! , plus that java works on almost every os .. this is just amazing :3

Share this post


Link to post

Release of version 1.0. Now it's possible, to edit all lua endings in the meta to luac.

A new feature is to overwrite all existing luac files.

Download is in the first post.

Share this post


Link to post

Thanks for your positive reponse. I never thought, that someone is using that now, after such a long time. 😅

What confuses me more, how where you able to download the compiler? I saw now, that the downloadlinks are offline. I will fix that, as soon as possible.

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.